"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSearchableDataSource = void 0;
const graphql_transformer_common_1 = require("graphql-transformer-common");
const createSearchableDataSource = (scope, graphqlApiProvider, domainEndpoint, role, region) => {
    const { OpenSearchDataSourceLogicalID } = graphql_transformer_common_1.ResourceConstants.RESOURCES;
    const dsEndpoint = `https://${domainEndpoint}`;
    return graphqlApiProvider.host.addSearchableDataSource(OpenSearchDataSourceLogicalID, region, dsEndpoint, {
        serviceRole: role,
        name: OpenSearchDataSourceLogicalID,
    }, scope);
};
exports.createSearchableDataSource = createSearchableDataSource;
//# sourceMappingURL=create-searchable-datasource.js.map